import java.util.Arrays;
import java.util.Scanner;

public class A4 {
  public static void main(String args[]) {
    double schueler[] = new double[5];
    Scanner input = new Scanner(System.in);
    for (int i = 0; i < schueler.length;i++ ) {
        System.out.print((i+1) + ". ");
        schueler[i] = input.nextDouble(); 
    }
    Arrays.sort(schueler);
    for (int i = 0; i < schueler.length;i++ ) {
        System.out.println((i+1)+". " + schueler[i]);
    }
    double durschnittlich = 0;
    
    for (int i = 0; i < schueler.length;i++ ) {
        durschnittlich += schueler[i];
    }
     
     System.out.println("Durschnittlich: " + (Math.round((durschnittlich/schueler.length) *10.0 )/10.0 )  );
     
  }  
}